#ifndef PARSERVAR_H_INCLUDED
#define PARSERVAR_H_INCLUDED

#include <fstream>
#include <vector>
#include <string>
using namespace std;

class setting_file;
class variable;
class functionUser;

class setting_file{
    private :
        //int pos;
        int repeat;
        string name;
		vector<variable *> variables;
		ifstream s;
    public :
        setting_file(string name_){name=name_;}
        bool init_settings(functionUser *);
        bool forced_var();
        void close(){s.close();};
};

extern int nb_cycles;

#endif // PARSERVAR_H_INCLUDED
